# Get customer card information. `GET https://api.leapa.co/v2/customers/{customer_id}/sources/{account_id}/card` Return the Card information of the customer Send your API key as a bearer token in the `Authorization` header. ## Path parameters - `customer_id` · _string_ · **required** Example: `cus_3d8e51fa20` - `account_id` · _string_ · **required** Example: `acc_62f3a8d15b` ## Response 200 - `id` · _string_ — Account Id - `object` · _string_ — Card Object Name - `address` · _AddressResponse_ - `object` · _string_ — Object name - `city` · _string_ — City - `type` · _string_ — The type of address. Can be Business location address or Bank Address Allowed values: `personal`, `business` - `status` · _string_ — Address status - invalid, line1_fail, line1_pass, line1_zip_pass, unchecked, verified, zip_fail, zip_pass Allowed values: `invalid`, `line1_pass`, `line1_name_pass`, `line1_zip_pass`, `name_pass`, `name_zip_pass`, `unchecked`, `verified`, `zip_pass` - `state` · _string_ — State - `zip` · _string_ — Zip - `line1` · _string_ — Line 1 - `line2` · _string_ — Line 2 - `brand` · _string_ — Card Brand Name Allowed values: `mastercard`, `visa` - `status` · _string_ — Status of the card account Allowed values: `created`, `validated`, `verified`, `verification_failed`, `errored`, `deleted` - `currency` · _string_ — The 3 letter representing the Currency. Allowed values: `BIF`, `USD`, `KES`, `XAF` - `token` · _string_ — Unique identifier of the bank data as returned by the CyberSource TMS API bank account number - `fingerprint` · _string_ — Unique identifier of the card number as returned by the CyberSource TMS API - `duplicateCard` · _boolean_ - `cvc_check` · _string_ — Card Verification Code check result Allowed values: `pass`, `fail`, `unavailable`, `unchecked` - `exp_month` · _string_ — Expiration Month - `exp_year` · _string_ — Expiration Year - `last_four` · _string_ — The last 4 digits of the card Number - `customer_id` · _string_ — Customer Unique Id - `statement_descriptor` · _string_ — Provides information about the charge that customers see on their statements. Maximum 22 characters. - `default` · _boolean_ — This flag indicate if this is the default source or not. - `holder_name` · _string_ — Holder name. Name of the owner as written on the card. - `holder_type` · _string_ — Card Holder Type. Allowed values: `individual`, `company` ```json { "id": "obj_5f21c8a40b", "object": "string", "address": { "object": "string", "city": "string", "type": "personal", "status": "invalid", "state": "string", "zip": "string", "line1": "string", "line2": "string" }, "brand": "mastercard", "status": "created", "currency": "BIF", "token": "string", "fingerprint": "string", "duplicateCard": false, "cvc_check": "pass", "exp_month": "string", "exp_year": "string", "last_four": "string", "customer_id": "cus_3d8e51fa20", "statement_descriptor": "string", "default": false, "holder_name": "Jeanne Ndayishimiye", "holder_type": "individual" } ``` ## Status codes - `200` OK - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X GET "https://api.leapa.co/v2/customers/cus_3d8e51fa20/sources/acc_62f3a8d15b/card" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Accept: application/json" ``` --- _Generated from the Leapa documentation at leapa.co/docs._